VERSION 5.00
Object = "{648A5603-2C6E-101B-82B6-000000000014}#1.1#0"; "MSCOMM32.OCX"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   4290
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   5295
   Icon            =   "devicePoll.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   4290
   ScaleWidth      =   5295
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame Frame2 
      Caption         =   "Control"
      Height          =   615
      Left            =   1920
      TabIndex        =   6
      Top             =   0
      Width           =   3255
      Begin VB.CheckBox Check1 
         Caption         =   "LOG"
         Height          =   255
         Left            =   120
         TabIndex        =   9
         Top             =   240
         Width           =   735
      End
      Begin VB.CommandButton Command1 
         Caption         =   "Poll"
         Height          =   255
         Left            =   2280
         TabIndex        =   8
         Top             =   240
         Width           =   855
      End
      Begin VB.CommandButton Command2 
         Caption         =   "Sync"
         Height          =   255
         Left            =   1320
         TabIndex        =   7
         Top             =   240
         Width           =   855
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Round Buffer"
      Height          =   3495
      Left            =   120
      TabIndex        =   4
      Top             =   720
      Width           =   5055
      Begin VB.TextBox Text2 
         Height          =   3135
         Left            =   120
         MultiLine       =   -1  'True
         ScrollBars      =   3  'Both
         TabIndex        =   5
         Top             =   240
         Width           =   4815
      End
   End
   Begin VB.Frame Frame9 
      Caption         =   "COM"
      Height          =   615
      Left            =   120
      TabIndex        =   2
      Top             =   0
      Width           =   615
      Begin VB.TextBox Text9 
         Alignment       =   2  'Center
         Height          =   285
         Left            =   120
         TabIndex        =   3
         Text            =   "1"
         Top             =   240
         Width           =   375
      End
   End
   Begin VB.Frame Frame8 
      Caption         =   "Device ID"
      Height          =   615
      Left            =   840
      TabIndex        =   0
      Top             =   0
      Width           =   975
      Begin VB.TextBox Text1 
         Alignment       =   2  'Center
         Height          =   285
         Left            =   120
         TabIndex        =   1
         Text            =   "11362"
         Top             =   240
         Width           =   735
      End
   End
   Begin MSCommLib.MSComm MSComm1 
      Left            =   3600
      Top             =   1200
      _ExtentX        =   1005
      _ExtentY        =   1005
      _Version        =   393216
      DTREnable       =   -1  'True
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim portset As Boolean

Private Sub Check1_Click()
If Check1.Value = 1 Then Open "devicePoll.txt" For Output As 1 Else Close 1
End Sub

Private Sub Command1_Click()
    hi = Int(Val(Text1) / 256)
    lo = Int(Val(Text1) - 256 * hi)
    Form1.MSComm1.InputLen = 1 'get serial characters one by one
    Form1.MSComm1.InBufferCount = 0
    Form1.MSComm1.Output = Chr(hi) + Chr(lo)
    Do: DoEvents: Loop Until Form1.MSComm1.Input = Chr(lo)
    
    Do
       Do: DoEvents: Loop While Form1.MSComm1.InBufferCount < 1
       cc = Form1.MSComm1.Input    'get serial input data character by character
       buf = buf + cc
    Loop Until cc = Chr(13)
       Text2 = Text2 + buf + Chr(10)
       If Check1.Value = 1 Then Print #1, buf
End Sub

Private Sub Command2_Click()
 Form1.MSComm1.Output = "$U"
 'send the sync character $ followed by any character
 'devices on the wire will synchronize at the rising edge of U character startbit

End Sub

Private Sub Form_Activate()

'The following routine prompts user for available port. Routine not relevant for understanding hx11
    On Error GoTo errorh
    Open "port.txt" For Input As 1
    Input #1, Port
    Close
    Text9 = Port
    GoTo pstart
errorh:
    Form1.Caption = "enter the available port number 1,2,3,4,5,6, and run this program again"
    Text9.BackColor = QBColor(11)
    Text9 = ""
    Text9.SetFocus
    portset = False
    Do: DoEvents: Loop While portset = False
    Open "port.txt" For Output As 1
    Print #1, Text9
    Close
    End
pstart:
    On Error GoTo errorh
'End port prompt ************************************************************************

    Form1.MSComm1.CommPort = Port
    Form1.MSComm1.Settings = "19200,N,8,1"
    Form1.MSComm1.InputLen = 0
    Form1.MSComm1.PortOpen = True
    Form1.MSComm1.OutBufferCount = 0  'Make sure there are no residual characters in the transmit buffer
    Form1.Caption = "Device Poll Utility"
End Sub

Private Sub Text2_DblClick()
Text2 = ""
End Sub

Private Sub Text9_Change()
portset = True
End Sub

Private Sub Form_Terminate()
End
End Sub

Private Sub Form_Unload(Cancel As Integer)
End
End Sub

